#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD0,0x9F,0x10,0xF3,0xD6,0xFD,0x90,0x1A,0xC5,0x80,0x2C,0x77,
		0xD4,0x2B,0x67,0xDE,0xFE,0x47,0x62,0x96,0x5C,0xEF,0xC5,0x83,
		0x2A,0x35,0x37,0xF9,0x5B,0x88,0x7A,0xEA,0x39,0x6F,0xCE,0x61,
		0x71,0x34,0x4F,0xE0,0x81,0x02,0x31,0xC8,0x30,0x04,0x87,0x66,
		0x3D,0x16,0x07,0x57,0xAA,0xFB,0xDB,0x04,0x1E,0xDF,0x56,0x00,
		0xFB,0x17,0xD2,0x6B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
